Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.LayoutDirection

    java.lang.Object
      java.lang.Enum<Qt.LayoutDirection>
          com.trolltech.qt.core.Qt.LayoutDirection

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.LayoutDirection>

Enclosing interface:
  Qt

    public static enum Qt.LayoutDirection

extends java.lang.Enum<Qt.LayoutDirection>
implements QtEnumerator

Specifies the direction of Qt's layouts.

Constant | Value | Description
--- | --- | ---
`LeftToRight` | `0` | Left-to-right layout.
`RightToLeft` | `1` | Right-to-left layout.

Right-to-left layouts are necessary for certain languages, notably Arabic and Hebrew.

See Also:
  `QApplication::setLayoutDirection`, `QWidget::setLayoutDirection`

Enum Constant Summary
`LeftToRight` Left-to-right layout.
`RightToLeft` Right-to-left layout.

Method Summary
`static Qt.LayoutDirection` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.LayoutDirection` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.LayoutDirection[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LeftToRight

    public static final Qt.LayoutDirection LeftToRight

  Left-to-right layout.

### RightToLeft

    public static final Qt.LayoutDirection RightToLeft

  Right-to-left layout.

Method Detail

### values

    public static final Qt.LayoutDirection[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.LayoutDirection c : Qt.LayoutDirection.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.LayoutDirection valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.LayoutDirection resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD